---
title: minimumLedgerSlot
hideTableOfContents: true
h1: minimumLedgerSlot RPC Method
---

Returns the lowest slot that the node has information about in its ledger.

<Callout type="info">
  This value may increase over time if the node is configured to purge older
  ledger data
</Callout>

<DocSideBySide>

<DocLeftSide>

### Parameters

**None**

### Result

`u64` - Minimum ledger slot number

</DocLeftSide>

<DocRightSide>

### Code sample

```shell
curl https://api.devnet.solana.com -s -X POST -H "Content-Type: application/json" -d '
  {"jsonrpc":"2.0","id":1, "method":"minimumLedgerSlot"}
'
```

### Response

```json
{ "jsonrpc": "2.0", "result": 1234, "id": 1 }
```

</DocRightSide>
</DocSideBySide>
